Description

This is on the current nightly "foreman" package.  See output below.

root@amargosa:~# apt-get install foreman

Reading package lists... Done

Building dependency tree

Reading state information... Done

Suggested packages:

libfcgi-ruby libvirt-bin

The following NEW packages will be installed:

foreman

0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.

Need to get 0 B/940 kB of archives.

After this operation, 5652 kB of additional disk space will be used.

Selecting previously deselected package foreman.

(Reading database ... 61739 files and directories currently installed.)

Unpacking foreman (from .../foreman_0.5-~nightlybuild1336107916_all.deb) ...

Processing triggers for ureadahead ...

Setting up foreman (0.5-~nightlybuild1336107916) ...

Invalid gemspec in [/usr/share/foreman/vendor/ruby/1.8/specifications/mime-types-1.18.gemspec]: invalid date format in

specification: "2012-03-21 00:00:00.000000000Z"

Invalid gemspec in [/usr/share/foreman/vendor/ruby/1.8/specifications/mime-types-1.18.gemspec]: invalid date format in

specification: "2012-03-21 00:00:00.000000000Z"

Updating https://github.com/jystewart/has_many_polymorphs.git

Updating git://github.com/fog/fog.git

Fetching gem metadata from http://rubygems.org/......

Fetching gem metadata from http://rubygems.org/..

Using rake (0.9.2.2)

Using abstract (1.0.0)

Using activesupport (3.0.10)

Using builder (2.1.2)

Using i18n (0.5.0)

Using activemodel (3.0.10)

Using erubis (2.6.6)

Using rack (1.2.5)

Using rack-mount (0.6.14)

Using rack-test (0.5.7)

Using tzinfo (0.3.33)

Using actionpack (3.0.10)

Installing mime-types (1.18)

Using polyglot (0.3.3)

Using treetop (1.4.10)

Using mail (2.2.19)

Using actionmailer (3.0.10)

Using arel (2.0.10)

Using activerecord (3.0.10)
Using activeresource (3.0.10)

Using bundler (1.1.3)

Installing json (1.7.0) with native extensions

Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb

 Gem files will remain installed in /usr/share/foreman/vendor/ruby/1.8/gems/json-1.7.0 for inspection.

Results logged to /usr/share/foreman/vendor/ruby/1.8/gems/json-1.7.0/ext/json/ext/parser/gem_make.out

An error occured while installing json (1.7.0), and Bundler cannot continue.

Make sure that `gem install json -v '1.7.0'` succeeds before bundling.

dpkg: error processing foreman (--configure):

subprocess installed post-installation script returned error exit status 5

E: Sub-process /usr/bin/dpkg returned an error code (1)

History

#1 - 05/06/2012 07:46 AM - Greg Sutcliffe

Hmm, looks like you're missing dependencies for the Json Gem. Can you try 'gem install json' which should fail just the same. If so, check the output

of 'gem install json --debug --backtrace' to see if you're missing any dependencies.

#2 - 05/06/2012 11:38 AM - Neil M

Hmmm, oddly, the command you suggested works and seems to install json 1.7.0, but when the version is specified as it is in the package the

command fails:

root@amargosa:~# gem install json

Building native extensions.  This could take a while...

Successfully installed json-1.7.0

1 gem installed

Installing ri documentation for json-1.7.0...

Installing RDoc documentation for json-1.7.0...

root@amargosa:~# gem install json -v '1.7.0'

Building native extensions.  This could take a while...

ERROR:  Error installing json:

ERROR: Failed to build gem native extension.

/usr/bin/ruby1.8 extconf.rb

 Gem files will remain installed in /var/lib/gems/1.8/gems/json-1.7.0 for inspection.

Results logged to /var/lib/gems/1.8/gems/json-1.7.0/ext/json/ext/parser/gem_make.out

#3 - 05/10/2012 12:37 PM - Greg Sutcliffe

Sorry, meant to reply sooner.

That's pretty strange, and I've not been able to replicate it yet. I assume the output of "bundle install" in /usr/share/foreman has the same results?

If so, I'm pretty stumped - something very strange is going on, and with being able to replicate it, I'm not sure what else to suggest :(

#4 - 05/10/2012 03:44 PM - Neil M

Right, same error with "bundle install."  By not able to replicate it you mean you aren't running Ubuntu 11.10 or you have tried it on Ubuntu 11.10 with

different results?  I suppose I can upgrade to 12.04 and see if that works better, you probably want to see how it works on the latest LTS release

anyway.

#5 - 05/11/2012 05:43 AM - Greg Sutcliffe

Sort of both :)

I was working with a friend on a pair of Ubuntu machines on Wednesday - the 10.10 machine only had foreman-proxy installed on it, unfortunately, so

I can't confirm personally that foreman installs. However, in ticket #1481 it seems some others were installing the nightly foreman on 12.04 and it

worked fine for them, and that's the behaviour I saw on Wednesday too.

Sorry I can't be of more help, but I suspect this is a gem/bundle problem in 10.10, and I'm not much of a gem expert. If I get time I'll try and spin up a

10.10 VM and see, but it might be a while.

EDIT: Just realised that 10.10 != 11.10 so you can probably ignore a lot of that. 12.04 should work though.

#6 - 05/13/2012 10:00 PM - Neil M

I updated my server to the current Ubuntu release, 12.04 Precise and it works just fine.
#7 - 05/14/2012 02:42 AM - Ohad Levy

- Status changed from New to Resolved
